uuid = require('uuid')

-- Create 'mails' space
--
-- Fields:
-- 1 - UUID
--
-- box.once(
--    "mails_space",
--    function()
--       s = box.schema.space.create('mails', {if_not_exists=true})
--       s:create_index(
--          'primary',
--          {
--             type = 'hash',
--             unique=true,
--             parts = {
--                1, 'string'  -- UUID
--             }
--          }
--       )
--       -- box.space.captchas:create_index('expired_at', {type = 'hash', unique=true, parts = {3, 'time'}})
--       s:create_index(
--          'user_category',
--          {
--             parts = {
--                2, 'string'  -- user's ID62
--             }
--          }
--       )
--    end
-- )

-- fiber = require('fiber')
-- expd = require('expirationd')
-- function is_tuple_expired(args, tuple)
--    if (tuple[3] == nil) then return true end
--    if (tuple[3] < fiber.time()) then return true end
--    return false
-- end
-- function delete_tuple(space_id, args, tuple)
--    box.space[space_id]:delete{tuple[1]}
-- end
-- expd.start(
--    'expire_captchas',
--    box.space.captchas.id,
--    is_tuple_expired,
--    {
--       process_expired_tuple = delete_tuple,
--       args = nil,
--       tuples_per_iteration = 50,
--       full_scan_time = 3600,
--       force = true,
--    }
-- )


-- local config = {}
-- local config2 = {}
-- config = require('authman').configdefault
-- config = require('authman.configdefault')
-- auth = require('authman').api(config)
-- university = require('university').api(require('university.configdefault'))
-- files = require('files').api(require('files.configdefault'))
